de.esprit.appsuite.database.dbase.meta

## Class JdbcColumn

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.database.dbase.meta.JdbcColumn

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class JdbcColumn
      extends TransferableObject

  This class models the column information read from the database metadata
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JdbcColumn(java.lang.String cat, java.lang.String schema, java.lang.String tabname, java.lang.String colname, int datatype, java.lang.String typename, int colsize, int bufflen, int digits, int radix, int nullable, java.lang.String remark, java.lang.String defValue, int sqltype, int dtsub, int octlen, int order, java.lang.String nullstr)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyColumnDefsFrom(DBTypeMapper map)`
    `java.lang.String` | `getColumnName()`
    `Reference` | `getForeignKeyReference()`
    `java.lang.String` | `getFullName()`
    `java.lang.Class` | `getJavaType()`
    `java.lang.String` | `getJavaTypeDefString()`
    `java.lang.String` | `getJavaTypeString()`
    `static java.lang.String` | `getJavaTypeString(java.lang.Class javaClass)`
    `int` | `getJdbcColumnIndex()`
    `int` | `getJdbcColumnSize()`
    `int` | `getJdbcDecimalDigits()`
    `java.lang.String` | `getJdbcDefaultValue()`
    `int` | `getJdbcRadix()`
    `int` | `getJdbcType()`
    `java.lang.String` | `getJdbcTypeString()`
    `int` | `getOriginalJdbcType()`
    `boolean` | `isBooleanCharType()`
    `static boolean` | `isBooleanCharType(int jdbcType)`
    `boolean` | `isBooleanType()`
    `static boolean` | `isBooleanType(int jdbcType)`
    `boolean` | `isCharType()`
    `static boolean` | `isCharType(int jdbcType)`
    `boolean` | `isDecimalType()`
    `static boolean` | `isDecimalType(int jdbcType)`
    `boolean` | `isForeignKey()`
    `boolean` | `isIntegerType()`
    `static boolean` | `isIntegerType(int jdbcType)`
    `static boolean` | `isLongType(int jdbcType)`
    `boolean` | `isNotNull()`
    `boolean` | `isPersistentId()`
    `boolean` | `isPersistentName()`
    `boolean` | `isPrimaryKey()`
    `boolean` | `isTimeType()`
    `static boolean` | `isTimeType(int jdbcType)`
    `void` | `setForeignKeyReference(Reference fkRef)`
    `void` | `setNotNull(boolean isNotNull)`
    `void` | `setPrimaryKey(boolean isPK)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `static java.lang.String` | `toJdbcTypeDefinition(int t)` Returns the Type definition string as defined in java.sql.Types
    `static int` | `toJdbcTypeFromJavaType(java.lang.Class javaType)`
    `java.lang.String` | `toString()` Returns a single line String that shows the values of the most important state variables of this object.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JdbcColumn

          public JdbcColumn(java.lang.String cat,
                    java.lang.String schema,
                    java.lang.String tabname,
                    java.lang.String colname,
                    int datatype,
                    java.lang.String typename,
                    int colsize,
                    int bufflen,
                    int digits,
                    int radix,
                    int nullable,
                    java.lang.String remark,
                    java.lang.String defValue,
                    int sqltype,
                    int dtsub,
                    int octlen,
                    int order,
                    java.lang.String nullstr)

  - ### Method Detail

    - #### getFullName

          public java.lang.String getFullName()

    - #### getColumnName

          public java.lang.String getColumnName()

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `Dumpable`
      Returns a single line String that shows the values of the most important state variables of this object. This is intentionally the same toString() method which is already provided by Object per se.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### setForeignKeyReference

          public void setForeignKeyReference(Reference fkRef)

    - #### getForeignKeyReference

          public Reference getForeignKeyReference()

    - #### isForeignKey

          public boolean isForeignKey()

    - #### setPrimaryKey

          public void setPrimaryKey(boolean isPK)

    - #### isPrimaryKey

          public boolean isPrimaryKey()

    - #### setNotNull

          public void setNotNull(boolean isNotNull)

    - #### isNotNull

          public boolean isNotNull()

    - #### getJavaType

          public java.lang.Class getJavaType()

    - #### getJavaTypeDefString

          public java.lang.String getJavaTypeDefString()

    - #### applyColumnDefsFrom

          public void applyColumnDefsFrom(DBTypeMapper map)

    - #### isIntegerType

          public boolean isIntegerType()

    - #### isDecimalType

          public boolean isDecimalType()

    - #### isTimeType

          public boolean isTimeType()

    - #### isCharType

          public boolean isCharType()

    - #### isBooleanCharType

          public boolean isBooleanCharType()

    - #### isBooleanType

          public boolean isBooleanType()

    - #### isPersistentName

          public boolean isPersistentName()

    - #### isPersistentId

          public boolean isPersistentId()

    - #### getOriginalJdbcType

          public int getOriginalJdbcType()

    - #### getJdbcType

          public int getJdbcType()

    - #### getJdbcTypeString

          public java.lang.String getJdbcTypeString()

    - #### getJdbcColumnSize

          public int getJdbcColumnSize()

    - #### getJdbcDecimalDigits

          public int getJdbcDecimalDigits()

    - #### getJdbcRadix

          public int getJdbcRadix()

    - #### getJdbcColumnIndex

          public int getJdbcColumnIndex()

    - #### getJdbcDefaultValue

          public java.lang.String getJdbcDefaultValue()

    - #### getJavaTypeString

          public java.lang.String getJavaTypeString()

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### isLongType

          public static boolean isLongType(int jdbcType)

    - #### isIntegerType

          public static boolean isIntegerType(int jdbcType)

    - #### isDecimalType

          public static boolean isDecimalType(int jdbcType)

    - #### isTimeType

          public static boolean isTimeType(int jdbcType)

    - #### isCharType

          public static boolean isCharType(int jdbcType)

    - #### isBooleanType

          public static boolean isBooleanType(int jdbcType)

    - #### isBooleanCharType

          public static boolean isBooleanCharType(int jdbcType)

    - #### getJavaTypeString

          public static java.lang.String getJavaTypeString(java.lang.Class javaClass)

    - #### toJdbcTypeDefinition

          public static java.lang.String toJdbcTypeDefinition(int t)

      Returns the Type definition string as defined in java.sql.Types

    - #### toJdbcTypeFromJavaType

          public static int toJdbcTypeFromJavaType(java.lang.Class javaType)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.